## org.apache.axis
Interface Chain

All Superinterfaces:
  Handler, java.io.Serializable

All Known Subinterfaces:
  TargetedChain

All Known Implementing Classes:
  SimpleChain, SimpleTargetedChain

public interface Chain
extends Handler

Author:
  Doug Davis (dug@us.ibm.com.com)

Method Summary
`void` `addHandler(Handler handler)` Adds a handler to the end of the chain.
`boolean` `contains(Handler handler)` Is this handler in the chain?
`Handler[]` `getHandlers()` Get the list of handlers in the chain - is Handler[] the right form?

Methods inherited from interface org.apache.axis.Handler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, invoke, onFault, setName, setOption, setOptions`

Method Detail

### addHandler

    public void addHandler(Handler handler)

  Adds a handler to the end of the chain. May not be called after invoke.

### contains

    public boolean contains(Handler handler)

  Is this handler in the chain?

### getHandlers

    public Handler[] getHandlers()

  Get the list of handlers in the chain - is Handler[] the right form?

Copyright © 2003 Apache Web Services Project. All Rights Reserved.